EDIT - feature request #9194

Make RelationshipBase and NomenclaturalStatus reference OriginalSource

08/17/2020 02:24 PM - Andreas Miller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal

Description

copied from #6581

This is a subticket for #6581 handling RelationshipBase and NomenclaturalStatus

Related issues:

Related to EDIT - feature request #6581: Make all microreferenced references ... Closed
Related to EDIT - task #9315: Remove old single source citation and microCita... Closed

Associated revisions

Revision d17a60c0 - 08/20/2020 09:00 AM - Andreas Miiller
ref #9194, ref #6581 use DescriptionElementSource for SingleSourcedEntityBase

Revision b6d851cf - 08/20/2020 09:00 AM - Andreas Miiller
ref #9194, ref #6581 Remove ReferencedEntityBase

Revision 869cb64b - 08/20/2020 09:07 AM - Andreas Miiller

ref ##9199, ref #6581, #9194 adapt TaxEditor to ReferencedEntityBase removal (has open issues)

Revision ¢7482183 - 08/20/2020 09:21 AM - Andreas Miiller
ref #9194, ref #6581 fix propOrder

Revision 24352587 - 08/20/2020 12:40 PM - Andreas Miiller
ref #9194, ref #6581 update model cache

Revision e154bb27 - 08/21/2020 01:30 PM - Andreas Miiller
ref #9199, ref #9194 remove IReferencedEntity

Revision e604c689 - 08/24/2020 07:34 PM - Andreas Miiller

ref #9194, ref #6581 remove null values for CitationMicroReference and OriginalNameString from test data

Revision ece6b63a - 08/25/2020 09:57 AM - Andreas Miiller

ref #9194, ref #6581 remove null values for CitationMicroReference and OriginalNameString from test data in vaadin

History

#1 - 08/18/2020 07:50 PM - Andreas Miuller

- Related to feature request #6581: Make all microreferenced references OriginalSources added

#2 - 11/25/2020 08:16 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 20 to 50

| guess this is fixed as we use it already in TaxEditor
#3 - 11/27/2020 12:03 PM - Andreas Miiller

- Related to task #9315: Remove old single source citation and microCitation columns added

#4 - 11/27/2020 12:06 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

This is fixed. | checked the update script result against some test databases. Looks ok (for hybrid relations | did not find data).

Removing the columns will be done it #9315
